%define name esvn
%define version 0.6.11
%define release 1mdk
%define summary The eSvn is a cross-platform (QT-based) GUI for Subversion

Name: %{name}
Version: %{version}
Release: %{release}
Summary: %{summary}
Source: http://esvn.umputun.com/%{name}-%{version}-1.tar.bz2
Source11: %{name}-16x16.png
Source12: %{name}-32x32.png
Source13: %{name}-48x48.png
Group: Development/KDE and Qt
URL: http://esvn.umputun.com/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
BuildRequires: devel(libqt-mt)
Requires: subversion

%description
The eSvn is a cross-platform (QT-based) GUI frontend for the 
Subversion revision system.

%prep
rm -rf %{buildroot}

%setup -qn %{name}

%build
%make
#qmake -o Makefile esvn.pro
#perl -pi -e 's|-lqt|-lqt-mt|g' Makefile
#QTDIR=/usr/lib/qt3 make 

%install
mkdir -p %{buildroot}%{_bindir}
install -m755 esvn %{buildroot}%{_bindir}/%{name}
install -m755 esvn-diff-wrapper %{buildroot}%{_bindir}

# Install icon files
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}
install -m644 %{SOURCE11} %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} %{buildroot}%{_liconsdir}/%{name}.png

# Create and install menu file
install -d %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
title="ESvn" \
longtitle="%{summary}" \
command="%{_bindir}/%{name}" \
icon="%{name}.png" \
section="More Applications/Development/Tools"
EOF

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc AUTHORS  COPYING LICENSE  README  VERSION  ChangeLog
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_bindir}/esvn-diff-wrapper

%changelog
* Tue Aug 16 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.11-1mdk
- New release 0.6.11

* Fri Feb 18 2005 Emmanuel Blindauer <mdk@agat.net> 0.6.8-2mdk
- fix for #13724

* Thu Feb 10 2005 Emmanuel Blindauer <mdk@agat.net> 0.6.8-1mdk
- 0.6.8


* Sun Jan  2 2005 Emmanuel Blindauer <mdk@agat.net> 0.6.6-1mdk
- 0.6.6 

* Sat Dec 18 2004 Emmanuel Blindauer <mdk@agat.net> 0.6.5-1mdk
- 0.6.5-2
- Added esvn-diff-wrapper utility
- Added menu entry in Development Tools

* Mon Aug 30 2004 Emmanuel Blindauer <mdk@agat.net> 0.6.0-1mdk
- 0.6.0-1

* Tue Aug 10 2004 Emmanuel Blindauer <mdk@agat.net> 0.4.1-3mdk
- Don't forget the most important part: Requires: subversion!

* Sun Aug  8 2004 Emmanuel Blindauer <mdk@agat.net> 0.4.1-2mdk
- Correct requires on qt3 to libqt3

* Sun Aug  8 2004 Emmanuel Blindauer <mdk@agat.net> 0.4.1-1mdk
- First package (original spec from Michael Lang  Michael.Lang at chester . at


